/**
 * 路由离开前记住缓存，返回后不刷新页面
 *
 * 比如创建赛事页面，如果前往查看规则，返回后，希望保留之前的表单
 *
 * 注意，用了这个 mixin，就不要用 onShow 了，而是用 mounted，
 * 否则可能会重复触发刷新
 *
 * @param {string} config.refresh 刷新方法
 * @returns 返回对象，包含 beforeRouteLeave 和 activated 方法
 * @example
 * ```ts
 * // 在 Vue 组件中：
 * export default {
 *   mixins: [getRouteLeaveCache({ refresh: 'fetchData' })],
 *   methods: {
 *     fetchData() { ... },
 *     onClickRule() {
 *       this._jumpToCacheRoute();
 *       this.$router.push('/rule');
 *     },
 *   },
 * };
 * ```
 */
export declare function getRouteLeaveCache({ refresh, }: {
    refresh?: string;
}): {
    activated(): void;
    mounted(): void;
    methods: {
        _jumpToCacheRoute(): void;
    };
};
